Bug 120785 - GCAssertions.h should use STL type traits and static_assert
Summary: GCAssertions.h should use STL type traits and static_assert
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on: 146829
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 12:03 PDT by Anders Carlsson
Modified: 2015-07-10 02:57 PDT (History)
4 users (show)

See Also:


Attachments
Patch (31.88 KB, patch)
2013-09-05 12:17 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (32.06 KB, patch)
2013-09-05 12:29 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (32.54 KB, patch)
2013-09-05 12:37 PDT, Anders Carlsson
no flags Details | Formatted Diff | Diff
Patch (32.82 KB, patch)
2013-09-05 13:04 PDT, Anders Carlsson
kling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2013-09-05 12:03:28 PDT
GCAssertions.h should use STL type traits and static_assert
Comment 1 Anders Carlsson 2013-09-05 12:17:59 PDT
Created attachment 210643 [details]
Patch
Comment 2 Anders Carlsson 2013-09-05 12:25:03 PDT
…and GCC gets in the way again.
Comment 3 Early Warning System Bot 2013-09-05 12:26:26 PDT
Comment on attachment 210643 [details]
Patch

Attachment 210643 [details] did not pass qt-ews (qt):
Output: http://webkit-queues.appspot.com/results/1695889
Comment 4 Early Warning System Bot 2013-09-05 12:27:41 PDT
Comment on attachment 210643 [details]
Patch

Attachment 210643 [details] did not pass qt-wk2-ews (qt-wk2):
Output: http://webkit-queues.appspot.com/results/1703264
Comment 5 Anders Carlsson 2013-09-05 12:29:13 PDT
Created attachment 210645 [details]
Patch
Comment 6 Anders Carlsson 2013-09-05 12:37:18 PDT
Created attachment 210646 [details]
Patch
Comment 7 Anders Carlsson 2013-09-05 13:04:18 PDT
Created attachment 210650 [details]
Patch
Comment 8 Anders Carlsson 2013-09-05 13:12:07 PDT
Committed r155143: <http://trac.webkit.org/changeset/155143>
Comment 9 Darin Adler 2013-09-05 18:02:09 PDT
Comment on attachment 210650 [details]
Patch

So should we use static_assert instead of our COMPILE_ASSERT macro?
Comment 10 Anders Carlsson 2013-09-06 09:09:24 PDT
(In reply to comment #9)
> (From update of attachment 210650 [details])
> So should we use static_assert instead of our COMPILE_ASSERT macro?

Yes.